/*
**  kdialppp.h
**  declaration of kdialppp
**
**  Development History:
**      who                  when           why
**      muquit@muquit.com   Jul-25-2001     first cut
*/

#ifndef KISONLINE_H
#define KISONLINE_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif // HAVE_CONFIG_H

#include <kapp.h>
#include <qpopmenu.h>
#include <qtimer.h>
#include <qpixmap.h>
#include <qstringlist.h>
#include <ksystemtray.h>
#include <kdialogbase.h>

/* make this configurable */
#define PPP_COMMAND "usr/X11R6/bin/xterm -fn fixed -bg black -fg green -T ppp -iconic -e /usr/local/bin/wvdial voicenet"

class Kdialppp;

class Kdialppp : public KSystemTray
{
    Q_OBJECT
public:
    Kdialppp();
    ~Kdialppp();

protected:
    void paintEvent(QPaintEvent *);
    void mousePressEvent(QMouseEvent *);
    void timerEvent(QTimerEvent *);
    void enterEvent(QEvent *);
    void leaveEvent(QEvent *);

private slots:
    void start();
    void updatePPPInfo(void);
    void doQuit(void);
    void showAbout(void);
    void homePage(const QString&);
    void mailTo(const QString&);
    void disConnect(void);
    void conFig(void);
    void showStats(void);

private:
    KConfig
        *conf;

    bool
        starting,
        painted_yet,
        ppp_state,
        ppp_up,
        timer_started,
        reset_timer,
        running,
        ready;

    int
        last_starting_draw,
        timer_id,
        last_in_draw,
        last_out_draw,
        last_in_bytes,
        in_bytes,
        last_out_bytes,
        out_bytes;

    QPopupMenu
        *popup_menu;

    QPixmap
        *red_ball,
        *green_ball,
        *green_dot,
        *red_dot;

    // config dialog
    QString
        dialer_command;

    // stats dialog
    KDialogBase
        *stat_dlg;

private:
    int parseArgs(char *buf,char **args,int args_len,int *n);
    int execCommand(char *command,char *errbuf,int buflen);
    int isStillRunning(void);
    void myDebug(const char *msg,...);
};


#endif  // KISONLINE_H

