/*
**  main.cpp for kdialppp
**
**  Development History:
**      who                  when           why
**      muquit@muquit.com   Jul-25-2001     first cut
*/

#include <kwin.h>
#include <kapp.h>
#include <klocale.h>
#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <kdialogbase.h>

#include "kdialppp.h"

static const char *description=
    I18N_NOOP("Start a user defined PPP client and show connection status");

static const char *version="1.1";

int main(int argc,char **argv)
{
    KAboutData
        aboutData("kdialppp",I18N_NOOP("Kdialppp"),
                  version,description,KAboutData::License_GPL,
                  "(c) 2001, Muhammad A Muquit");
    aboutData.addAuthor("Muhammad A Muquit",0,"muquit@muquit.com");
    KCmdLineArgs::init( argc, argv, &aboutData );

    KApplication
        app;

    Kdialppp
        kdialppp;

    KWin::setSystemTrayWindowFor(kdialppp.winId(),0);
    kdialppp.show();

    app.setTopWidget(&kdialppp);
    KWin::appStarted();

    return (app.exec());
}

